<template>
    <!-- <base-layout page-title="Register User Page "> -->
    <multi-page-layout page-title="Register User Page ">
      <ion-list>
        <ion-item> 
          <ion-label>{{ $t('Enter') }}:</ion-label>
          <ion-input placeholder="Username / Space DAO address" />
        </ion-item>
              
        <ion-item>
          <ion-label position="fixed">
            {{ $t('Password') }}:
          </ion-label>
          <ion-input
            type="password"
            value="password"
          />
        </ion-item>  
              
        <ion-item>
          <ion-button router-link="/space-overview">
            Login
            <ion-icon
              slot="end"
              :icon="star"
            />
          </ion-button>
        </ion-item>
      </ion-list>
      
    </multi-page-layout>
  </template>
    
  <script lang="ts">
    //   importing components
    import { IonButton, IonList, IonItem, IonInput, IonLabel, IonIcon } from '@ionic/vue';
    
    import { defineComponent } from 'vue';
    import { star } from 'ionicons/icons';
  
  
    // register components
    export default defineComponent({
      components: {
          IonButton,
          IonList,
          IonItem,
          IonInput, 
          IonLabel,
          IonIcon
       },
       setup() {
        return { star }
      },
    });
  </script>